BeanBuilder.ConfigurableRuntimeBeanReference (Grails 6.0.0)

Package: grails.spring

## [Java] Class BeanBuilder.ConfigurableRuntimeBeanReference

- grails.spring.BeanBuilder.ConfigurableRuntimeBeanReference

- All Implemented Interfaces and Traits:
    groovy.lang.GroovyObject

      private class BeanBuilder.ConfigurableRuntimeBeanReference
      extends org.springframework.beans.factory.config.RuntimeBeanReference
      implements groovy.lang.GroovyObject

  Adds new properties to runtime references.

  Authors:
    Graeme Rocher
  Since:
    0.4

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private class` | `BeanBuilder.ConfigurableRuntimeBeanReference.WrappedPropertyValue` | Wraps a BeanConfiguration property an ensures that any RuntimeReference additions to it are deferred for resolution later.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private BeanConfiguration` | `beanConfig` |
    `private groovy.lang.MetaClass` | `metaClass` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConfigurableRuntimeBeanReference (java.lang.String beanName, BeanConfiguration beanConfig, boolean toParent)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public groovy.lang.MetaClass` | `getMetaClass()`
    `` | `public java.lang.Object` | `getProperty(java.lang.String property)`
    `` | `public java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
    `` | `public void` | `setMetaClass(groovy.lang.MetaClass metaClass)`
    `` | `public void` | `setProperty(java.lang.String property, java.lang.Object newValue)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.beans.factory.config.RuntimeBeanReference` | `org.springframework.beans.factory.config.RuntimeBeanReference#getBeanName(), org.springframework.beans.factory.config.RuntimeBeanReference#getBeanType(), org.springframework.beans.factory.config.RuntimeBeanReference#isToParent(), org.springframework.beans.factory.config.RuntimeBeanReference#setSource(java.lang.Object), org.springframework.beans.factory.config.RuntimeBeanReference#getSource(), org.springframework.beans.factory.config.RuntimeBeanReference#equals(java.lang.Object), org.springframework.beans.factory.config.RuntimeBeanReference#toString(), org.springframework.beans.factory.config.RuntimeBeanReference#hashCode(), org.springframework.beans.factory.config.RuntimeBeanReference#wait(long), org.springframework.beans.factory.config.RuntimeBeanReference#wait(long, int), org.springframework.beans.factory.config.RuntimeBeanReference#wait(), org.springframework.beans.factory.config.RuntimeBeanReference#getClass(), org.springframework.beans.factory.config.RuntimeBeanReference#notify(), org.springframework.beans.factory.config.RuntimeBeanReference#notifyAll()`

- - ### Field Detail

    - #### private BeanConfiguration beanConfig

    - #### private groovy.lang.MetaClass metaClass

  - ### Constructor Detail

    - #### public ConfigurableRuntimeBeanReference(java.lang.String beanName, BeanConfiguration beanConfig, boolean toParent)

  - ### Method Detail

    - #### public groovy.lang.MetaClass getMetaClass()

    - #### public java.lang.Object getProperty(java.lang.String property)

    - #### public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

    - #### public void setMetaClass(groovy.lang.MetaClass metaClass)

    - #### public void setProperty(java.lang.String property, java.lang.Object newValue)